Get information of an invoice group
curl --request GET \
--url https://api.togai.com/invoice_groups/{invoice_group_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/invoice_groups/{invoice_group_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/invoice_groups/{invoice_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "inv_group.20rvWRxQcQK.0ZwPG",
"name": "Invoice Group 1",
"email": "acme@acme.com",
"dailyInvoiceConsolidation": true,
"accountsCount": 2,
"accounts": [
"ACC0001",
"ACC0002"
],
"gracePeriod": 3,
"netTermDays": 45,
"invoiceCurrency": "USD",
"billingAddress": {
"phoneNumber": "+919876543210",
"line1": "2281 Broadway Street",
"line2": "G-31",
"postalCode": "29501",
"city": "Florence",
"state": "South Carolina",
"country": "US"
},
"createdAt": "2023-07-26T12:36:56.58015Z",
"updatedAt": "2023-07-26T12:36:56.58015Z",
"nextToken": "eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ=="
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}InvoiceGroups
Get information of an invoice group
This API let’s you to get information of an invoice group
GET
/
invoice_groups
/
{invoice_group_id}
Get information of an invoice group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
512Example:
"inv_grp.20rqjgFJf2O.ejl25"
Response
Response to get invoice group request
Invoice group details
Maximum string length:
320billing address of the customer
Show child attributes
Show child attributes
Required range:
x >= 0⌘I
